| Home | Libraries | People | FAQ | More

## Struct template dynamic_cast_

boost::xpressive::op::dynamic_cast_

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    template<typename T>
    struct dynamic_cast_ {
      // types
      typedef T result_type;

      // public member functions
      template<typename Value> T operator()(Value const &) const;
    };

## Description

### `dynamic_cast_` public member functions

1.     template<typename Value> T operator()(Value const & val) const;